Agents
GET /v1/all-agents
List agents.
GET /v1/all-agents
curl --request GET \
--url https://api.getbluejay.ai/v1/all-agentsimport requests
url = "https://api.getbluejay.ai/v1/all-agents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/all-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/all-agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/all-agents"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/all-agents")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/all-agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyReturns all agents in your organization.
Headers
Response
The response is a list. Each item has these fields:Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request GET \
--url https://api.getbluejay.ai/v1/all-agents \
--header 'X-API-Key: <api-key>'
Example response
200
[
{
"id": 123,
"bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agent_description": "<string>",
"organization_id": "<string>",
"workspace_id": "<string>",
"goals": [
"<string>"
],
"mode": "VOICE",
"type": "INBOUND",
"connection_type": "SMS",
"phone_number": "<string>",
"email_address": "<string>",
"email_reply_addresses": [
"<string>"
],
"follow_up_sms_sender_numbers": [
"<string>"
],
"websocket_url": "<string>",
"redact_pii": true,
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_api_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"keyterms": [
"<string>"
],
"voice_provider": "<string>",
"provider_id": "<string>",
"websocket_username": "<string>",
"websocket_password": "<string>",
"external_agent_id": "<string>",
"sip_uri": "<string>",
"custom_sip_headers": {},
"sip_username": "<string>",
"sip_password": "<string>",
"simulation_notifications": {},
"livekit_agent_name": "<string>",
"livekit_metadata": {},
"livekit_customer_tool_topic": "<string>",
"livekit_token_webhook_url": "<string>",
"livekit_token_webhook_auth": "<string>",
"pipecat_agent_name": "<string>",
"pipecat_agent_configuration": {},
"pipecat_room_properties": {},
"http_webhook": "<string>",
"http_webhook_key": "<string>",
"http_webhook_sync_reply": true,
"dynamic_sip_webhook_url": "<string>",
"outbound_trigger_webhook_url": "<string>",
"outbound_trigger_payload_template": {},
"eleven_labs_agent_id": "<string>",
"retell_agent_id": "<string>",
"vapi_assistant_id": "<string>",
"ces_app_id": "<string>",
"ces_deployment_id": "<string>",
"dfcx_project_id": "<string>",
"dfcx_location": "<string>",
"dfcx_agent_id": "<string>",
"amelia_base_url": "<string>",
"amelia_domain_code": "<string>",
"amelia_flow_name": "<string>",
"amelia_agent_name": "<string>",
"bland_pathway_id": "<string>",
"bland_agent_id": "<string>",
"bland_persona_id": "<string>",
"bland_call_settings": {},
"provider_request_data": {},
"sierra_agent_token": "<string>",
"sierra_release": "<string>",
"sierra_agent_parameters": {},
"kore_host": "<string>",
"kore_bot_id": "<string>",
"kore_client_id": "<string>",
"kore_client_secret": "<string>",
"openai_base_url": "<string>",
"openai_api_key": "<string>",
"openai_model": "<string>",
"openai_realtime_url": "<string>",
"openai_realtime_session": {},
"openai_prompt_id": "<string>",
"openai_prompt_version": "<string>",
"kore_inbound_token": "<string>",
"enable_outbound_call_auto_start": true,
"simulations_disabled": false,
"workflow": {},
"provider": "CUSTOM",
"red_team_profile": {}
}
]
Last modified on October 21, 2026
⌘I
GET /v1/all-agents
curl --request GET \
--url https://api.getbluejay.ai/v1/all-agentsimport requests
url = "https://api.getbluejay.ai/v1/all-agents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/all-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/all-agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/all-agents"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/all-agents")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/all-agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body